> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crewship.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Row

> Update fields on a single row

## Path Parameters

<ParamField path="id" type="string" required>
  Table ID
</ParamField>

<ParamField path="rowId" type="string" required>
  Row ID
</ParamField>

## Request

Body is a partial row object. Only provided fields are updated.

<ParamField body="<column_name>" type="any">
  Value to update for a table column
</ParamField>

## Response

Returns the updated row object.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows/row_abc123xyz789 \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "score": 95,
      "status": "qualified"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "id": "row_abc123xyz789",
    "company": "Acme",
    "score": 95,
    "status": "qualified",
    "_meta": {
      "created_at": "2024-01-15T10:35:00Z",
      "created_by": "api:Production Key",
      "updated_at": "2024-01-20T08:12:00Z",
      "updated_by": "api:Production Key"
    }
  }
  ```
</ResponseExample>
